Update Trends
curl --request PUT \
--url https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"interval_mins": 123,
"layout_map": {},
"start_time": 123,
"end_time": 123,
"relative_time": "<string>",
"filter_tree": {
"filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
},
"group_by": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends"
payload = {
"name": "<string>",
"description": "<string>",
"interval_mins": 123,
"layout_map": {},
"start_time": 123,
"end_time": 123,
"relative_time": "<string>",
"filter_tree": { "filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
} },
"group_by": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
interval_mins: 123,
layout_map: {},
start_time: 123,
end_time: 123,
relative_time: '<string>',
filter_tree: {filter: {column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}},
group_by: '<string>'
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"is_default": true,
"visibility": "<string>",
"log_stream_id": "<string>",
"project_id": "<string>",
"layout_map": {},
"interval_mins": 123,
"start_time": 123,
"end_time": 123,
"description": "<string>",
"created_by": "<string>",
"is_favorited": false,
"widgets": [
{
"id": "<string>",
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"dataset": [
{}
],
"section_id": "<string>"
}
],
"sections": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"dataset": [
{}
],
"section_id": "<string>"
}
]
}
],
"group_by": "<string>",
"filter_tree": {
"filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
},
"relative_time": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trends_dashboard
Update Trends
PUT
/
v2
/
projects
/
{project_id}
/
log_streams
/
{log_stream_id}
/
trends
Update Trends
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Query Parameters
Body
application/json
Update dashboard properties: filter_tree, group_by, interval_mins, layout_map, and time range.
Time range: provide either (start_time, end_time) for absolute timestamps, or relative_time (e.g. "last_7_days", "last_12_hours", "last_3_months") for a rolling window from now.
Required string length:
1 - 255Maximum string length:
1000Show child attributes
Show child attributes
Rolling window from now, e.g. last_7_days, last_12_hours (max 5 years)
Maximum string length:
64Pattern:
^last_\d+_(seconds?|minutes?|hours?|days?|weeks?|months?)$filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Response
Successful Response
Maximum array length:
50Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Was this page helpful?
⌘I